<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mg_sammelalbum_admin.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

// Turn off all error reporting
error_reporting(0);
// Report all PHP errors (see changelog)
//error_reporting(E_ALL);
//error_reporting(E_ALL & ~E_NOTICE);

include INFUSIONS."mg_sammelalbum/infusion_db.php";
include INFUSIONS."mg_sammelalbum/includes/functions.php";

if (!checkrights("MGSA") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mg_sammelalbum/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mg_sammelalbum/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mg_sammelalbum/locale/German.php";
}
add_to_head("
<link rel='stylesheet' type='text/css' href='".INFUSIONS."mg_sammelalbum/includes/mg_sammelalbum.css' />\n
<script type='text/javascript' src='".INFUSIONS."mg_sammelalbum/includes/tools.tooltip-1.1.3.min.js'></script>\n
");

if(isset($_GET['section']))
{
$section = stripinput($_GET['section']);
} else {
$section = "alben";
}

opentable($locale['MGSA_admin1']);

if (defined("SCORESYSTEM")) {

	echo "<table class='tbl-border center' width='100%' cellpadding='3' cellspacing='0'>";
	echo "<tr>

	<td width='25%' class='".($section == "alben" ? "tbl1" : "tbl2")."' align='center'>".($section == "alben" ? "<strong>".$locale['MGSA_400']."</strong>" : "<a href='".FUSION_SELF.$aidlink."&section=alben'><strong>".$locale['MGSA_400']."</strong></a>")."</td>

	<td width='25%' class='".($section == "tauschen" ? "tbl1" : "tbl2")."' align='center'>".($section == "tauschen" ? "<strong>".$locale['MGSA_401']."</strong>" : "<a href='".FUSION_SELF.$aidlink."&section=tauschen'><strong>".$locale['MGSA_401']."</strong></a>")."</td>

	<td width='25%' class='".($section == "pictures" ? "tbl1" : "tbl2")."' align='center'>".($section == "pictures" ? "<strong>".$locale['MGSA_402']."</strong>" : "<a href='".FUSION_SELF.$aidlink."&section=pictures'><strong>".$locale['MGSA_402']."</strong></a>")."</td>

	<td width='25%' class='".($section == "settings" ? "tbl1" : "tbl2")."' align='center'>".($section == "settings" ? "<strong>".$locale['MGSA_403']."</strong>" : "<a href='".FUSION_SELF.$aidlink."&section=settings'><strong>".$locale['MGSA_403']."</strong></a>")."</td>

	</tr>
	</table>";
	switch ($section) {
	case "alben" :
	// Alben
	include INFUSIONS."mg_sammelalbum/admin/admin_alben.php";
	break;

	case "tauschen" :
	// Tauschbrse
	include INFUSIONS."mg_sammelalbum/admin/admin_tauschboerse.php";
	break;

	case "pictures" :
	// Sammelbilder
	include INFUSIONS."mg_sammelalbum/admin/admin_pictures.php";
	break;

	case "settings" :
	// Einstellungen
	include INFUSIONS."mg_sammelalbum/admin/admin_settings.php";
	break;
	}
} else {
	echo "<div style='text-align:center;color:red;font-weight:bold;'><img src='".INFUSIONS."mg_sammelalbum/images/error.png' title='Error!' style='padding:15px;' /><br /><br />".$locale['MGSA_err07']."<br /><br /></div>";
}
closetable();
echo albumCopyright();
echo "
<script type='text/javascript'>
	$(document).ready(function(){
	$('.album_success').fadeOut(5000);
	$('.album_error').fadeOut(10000);
	});
</script>";

require_once THEMES."templates/footer.php";
?>